Bug 45904 - move java based api tests to c++
Summary: move java based api tests to c++
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL: http://document-foundation-mail-archi...
Whiteboard: target:5.2.0 target:5.5.0 target:6.0....
Keywords: difficultyBeginner, easyHack, skillCpp, skillUno, topicDebug
: 48024 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-10 09:14 UTC by Markus Mohrhard
Modified: 2018-11-10 00:29 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2012-02-10 09:14:58 UTC
all our old OOo api tests are written in java: They are hard to debug and a lot of them are disabled.

Some work has been done for calc to convert some of the interfaces but there is still a lot of work to do.

The test code for the interfaces is in test/inc/test/ and test/source/ and the old java code is in qaDevOOo. The code that then tests the interface implementation inherits from the code in test/ and will be in sc, sw, sd, dbaccess or any other module. 
For the already transfered tests see sc/qa/extras

Most of the transformation can be done quite easily, if not please ask.
Comment 1 Florian Reisinger 2012-05-18 09:20:40 UTC
Das Dreifach-Date
Comment 2 Markus Mohrhard 2012-10-10 06:57:01 UTC
Please don't remove whiteboard entries from an easy hack that have been added by the mentoring developer.
Comment 3 David 2013-02-06 15:55:32 UTC
I'd be willing to contribute towards the unit tests. I have industry experience working with Google test so I have some experience with unit testing and I'm familiar with both Java and C++. If someone could mail me and get me up to speed on what needs to be done then I'd definitely consider giving it a go.
Comment 4 Markus Mohrhard 2013-02-08 01:34:56 UTC
Hey David,

sorry that it took me a bit to come back to your question but we were in a bit of release hurry the last days ;)

As I mentioned in my first comment we have inherited quite a lof of java based API tests that in the end test c++ code. This is horrible to debug and quite slow and we have actually a framework to do the same in c++ for a bit more than 1,5 years now.

The old java based tests can be found in qaDevOOo/ The code is divided between the code that is necessary to setUp the test and the test for an interface. This corresponds to our API definition in offapi as the part for the service definition and the interface definition.

You can find some of the transformed tests in test/ and sc/qa/extras/

Inside test/ you can find the code to test an interface and in sc/qa/extras/ you can find the code that is necessary to setUp a test. if you search for the name of the file in the code in sc you normally also find the interface/service implementation inside sc/source/ui/unoobj/

If you want to start with some tests that have been disabled you can look into
http://opengrok.libreoffice.org/xref/core/sc/qa/unoapi/knownissues.xcl

You can also see a list of java tests that have been already converted. Please ignore the accessibility tests. Right now they are in a really bad shape and we have not yet decided what will happen to the accessibility code in the future.

Please don't hesitate to ask for more information.
Comment 5 David 2013-02-09 19:50:51 UTC
Hi Markus,

Thanks for the reply. I will look into this on Monday as I have a few spare hours. The problem is my schedule is tight as I have final year projects to do at the moment and seeing as this is my first time contributing to an open source project it might take a few weeks to do this, I assume that's ok? if that is ok then I will start cracking into them come Monday. I've done a fairly extensive suite of unit tests with Google test. So other frameworks should work similarly. 

At the moment I'm looking at the coding standards to try and familiarise myself with the standards. If you feel I should know more information do please let me know.
Comment 6 Tomas Zahradnik 2013-02-13 13:16:08 UTC
Hi,
I am a slightly advanced beginner (I have just finished my first "bigger" project. It was a card game similar to MauMau) and familier with C++ and Java. I motivated to learn unit testing. Could you mail me what needs to be done and where I could start? Thank you.
Comment 7 Elton Chung 2013-07-28 12:51:29 UTC
Hi Markus,
can you please add some more details for beginners to start working on this easy ack? :)
Comment 8 Sean Walsh 2013-08-25 06:39:02 UTC
I am quite interested in investigating this bug. Can you please fill me in on where to start? This is my first time doing open source contribution, and I am a senior of Computer Science at Portland State University.

Thanks!
Sean Walsh
Comment 9 Markus Mohrhard 2013-08-27 05:04:01 UTC
So I'll try to add a few more details but I'm currently on vacation. So please excuse if it is not in as much detail as it should be.

Currently our api test code is at qadevooo/tests/java/ and there in there in the folders IFC and mod.

The implementation is divided between these two folders to represent our two parts of the api implementations. The sender IFC part is for the interface definition that is represented in our api through the IDL files in offapi and can be found at api.LibreOffice.org. the mod part is for the actual implementation that implements several interfaces.

We have a similar structure for the c++ tests. The test code for the interfaces can be found in test/ and the code for the implementations for calc in sc/qa/extras.

Each file in sc/qa/extras represents one implementation file and is one cppunit test that is registered by a make file in sc/ and in sc/module_sc.mk. the new tests just make it explicit which interfaces are tested while it is implicitly done in the old java tests by querying for all interfaces the object provides.

So we now need a two step process to convert old tests. First convert the interface test code and implement it in test/ and secondly convert or better write a clean new implementation for the api implementation.

The c++ implementation should however try to make the tests better by using the assertion macros that are provided by cppunit, make explicit what was implicit in the old implementation and improve the diagnostic messages. A good start would be to look at some of Tue code that I already converted to c++.

If you have more questions please ask and I'll try to answer as soon as possible. I'll return next week from my vacation so I can answer questions after that also by irc.
Comment 10 Björn Michaelsen 2013-10-04 18:47:20 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 11 Ricardo Montania 2013-11-21 15:28:40 UTC
Can I work on it? If so, I will assign to me.

Thanks in advance!
Comment 12 Michael Stahl (CIB) 2013-11-21 15:30:17 UTC
(In reply to comment #11)
> Can I work on it? If so, I will assign to me.

yes you can, but we have so many Java tests that assigning this bug
to any person makes no sense, multiple people can work in parallel
on different tests.
Comment 13 Ricardo 2014-01-10 22:05:31 UTC
(In reply to comment #11)
> Can I work on it? If so, I will assign to me.
> 
> Thanks in advance!

Have you worked on any of the tests?  I'd like to hack at these too, but if you have already worked on something that's not on the main branch yet, it'd be nice to know.
Comment 14 Ricardo 2014-01-11 16:04:22 UTC
(In reply to comment #9)
> So I'll try to add a few more details but I'm currently on vacation. So
> please excuse if it is not in as much detail as it should be.
> 
> Currently our api test code is at qadevooo/tests/java/ and there in there in
> the folders IFC and mod.
> 
> The implementation is divided between these two folders to represent our two
> parts of the api implementations. The sender IFC part is for the interface
> definition that is represented in our api through the IDL files in offapi
> and can be found at api.LibreOffice.org. the mod part is for the actual
> implementation that implements several interfaces.
> 
> We have a similar structure for the c++ tests. The test code for the
> interfaces can be found in test/ and the code for the implementations for
> calc in sc/qa/extras.
> 
> Each file in sc/qa/extras represents one implementation file and is one
> cppunit test that is registered by a make file in sc/ and in
> sc/module_sc.mk. the new tests just make it explicit which interfaces are
> tested while it is implicitly done in the old java tests by querying for all
> interfaces the object provides.
> 
> So we now need a two step process to convert old tests. First convert the
> interface test code and implement it in test/ and secondly convert or better
> write a clean new implementation for the api implementation.
> 
> The c++ implementation should however try to make the tests better by using
> the assertion macros that are provided by cppunit, make explicit what was
> implicit in the old implementation and improve the diagnostic messages. A
> good start would be to look at some of Tue code that I already converted to
> c++.
> 
> If you have more questions please ask and I'll try to answer as soon as
> possible. I'll return next week from my vacation so I can answer questions
> after that also by irc.

This is what needs to be done, if I interpreted correctly:
1. Pick a folder from qaDevOOo/tests/java/ifc (Pick an interface)
2. Implement the interface picked into test/source (Organized into folders as in original implementation
3. Pick a folder from qaDevOOo/tests/java/mod (Test cases, organized in folders, let's call it mod_name here)
4. Implement the tests into the folder mod_name/qa/extras (mod_name folder at project root)

Is this correct?
Comment 15 Markus Mohrhard 2014-01-11 16:35:13 UTC
(In reply to comment #14)

> 
> This is what needs to be done, if I interpreted correctly:
> 1. Pick a folder from qaDevOOo/tests/java/ifc (Pick an interface)
> 2. Implement the interface picked into test/source (Organized into folders
> as in original implementation
> 3. Pick a folder from qaDevOOo/tests/java/mod (Test cases, organized in
> folders, let's call it mod_name here)
> 4. Implement the tests into the folder mod_name/qa/extras (mod_name folder
> at project root)
> 
> Is this correct?

Mainly. Just ask here on IRC for a specific context. Good cases that I currently have and that are hopefully not too difficult are:

sc.ScTableSheetObj::com::sun::star::sheet::XCellRangeData
sc.ScTabViewObj::com::sun::star::sheet::XRangeSelection
sc.ScTableSheetsObj::com::sun::star::container::XNameReplace
sc.ScTableSheetObj::com::sun::star::sheet::XPrintAreas
sc.ScTableSheetObj::com::sun::star::sheet::XCellSeries
sc.ScTableValidationObj::com::sun::star::sheet::TableValidation
Comment 16 Ricardo 2014-01-11 22:05:22 UTC
(In reply to comment #15)

Tried you on IRC.

I think last thing I should ask before getting started is: are the unit tests run when I run make?  Also, how do I know the unit tests are being run?  Thanks.
Comment 17 Ricardo 2014-01-11 23:23:15 UTC
Nevermind I just saw this:
https://wiki.documentfoundation.org/Development/Unit_Tests
Comment 18 Markus Mohrhard 2014-01-12 07:55:34 UTC
(In reply to comment #16)
> (In reply to comment #15)
> 
> Tried you on IRC.
> 
> I think last thing I should ask before getting started is: are the unit
> tests run when I run make?  Also, how do I know the unit tests are being
> run?  Thanks.

I'm always on IRC just not always on the computer. My nick is moggi.

The tests are run with make sc.subsequentcheck after having added the test to sc/Module_sc.mk and creating the corresponding makefile for the test. The easiest part is just to copy and paste on of the other makefiles from an API test in the sc directory and change the line with the source file and the name.

The same is true if you add a file to test/ for an API test. You still need to add the file to test/Library_subsequentcheck.mk and execute make test in the top level directory.

If you have more problems please ask.
Comment 19 Markus Mohrhard 2014-01-12 07:56:26 UTC
(In reply to comment #18)
> (In reply to comment #16)
> > (In reply to comment #15)
> > 
> > Tried you on IRC.
> > 
> > I think last thing I should ask before getting started is: are the unit
> > tests run when I run make?  Also, how do I know the unit tests are being
> > run?  Thanks.
> 
> I'm always on IRC just not always on the computer. My nick is moggi.
> 
> The tests are run with make sc.subsequentcheck after having added the test
> to sc/Module_sc.mk and creating the corresponding makefile for the test. The
> easiest part is just to copy and paste on of the other makefiles from an API
> test in the sc directory and change the line with the source file and the
> name.
> 
> The same is true if you add a file to test/ for an API test. You still need
> to add the file to test/Library_subsequentcheck.mk and execute make test in
> the top level directory.
> 
> If you have more problems please ask.

Just a short tip to make it easier. While working ona  new test it makes sense to remove the other tests from the subsequent test target in sc/Module_sc.mk.
Comment 20 Markus Mohrhard 2014-12-03 02:52:05 UTC
*** Bug 48024 has been marked as a duplicate of this bug. ***
Comment 21 derrick rocha 2015-08-11 20:16:03 UTC
Are people still working on this?
Comment 22 jeremy.carpentier.sio 2015-11-24 10:17:17 UTC
Hi, is it still something we need to work on ?

I'm a student and I would like to try working on it. If you have any advice, i'll happily take them.
Comment 23 Robinson Tryon (qubit) 2015-12-14 06:30:30 UTC Comment hidden (obsolete)
Comment 24 jani 2015-12-18 08:03:59 UTC
(In reply to jeremy.carpentier.sio from comment #22)
> Hi, is it still something we need to work on ?
> 
> I'm a student and I would like to try working on it. If you have any advice,
> i'll happily take them.

Yes we are still working on this, if you need help feel free to mail me.

have a nice day
jan iversen
Comment 25 Björn Michaelsen 2016-01-26 18:02:39 UTC
topicDebug is a Topic.
Comment 26 Björn Michaelsen 2016-01-26 18:04:55 UTC
Remove skillDebug, superceded by topicDebug.
Comment 27 Commit Notification 2016-02-15 00:29:43 UTC
kadertarlan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c125eca7f8a0dd2d59678cff2574bbccc70e536

tdf#45904 move java based api tests to c++

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Robinson Tryon (qubit) 2016-02-18 14:51:44 UTC Comment hidden (obsolete)
Comment 29 Commit Notification 2016-03-20 00:02:52 UTC
kadertarlan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d5767c6e464b914812867aac5c3ccd0745dd1ea

tdf#45904 move java based api tests to c++

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2016-04-27 00:30:22 UTC
Fabio Buso committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7f55f15ccd97bc92e1400bc5862171a621da3e2

tdf#45904 Move java XViewPane test to c++

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 jani 2016-06-14 10:02:55 UTC
Controlled, still open
Comment 32 Commit Notification 2017-06-08 00:46:52 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1454b474d9248d7ef2cb84f396a974184e5167e

tdf#45904 Move java XCellSeries test to c++

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2017-06-20 17:52:41 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2516285d2a9b6b992f24867d39402ca5c29cd71d

tdf#45904 Move remaining XCellSeries test code to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2017-07-02 02:49:43 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c08dd17baf7ea63f10d5311e90c5c6a4c48aac20

tdf#45904 Move Java XCellAddressable test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2017-07-08 10:41:13 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=472737ad70f1a3eaa22cab9b746d35e4b94094a0

tdf#45904 Move Java XSheetAnnotationShapeSupplier test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2017-07-13 08:43:43 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01a51eb77ce97c79b897f842051c6704dada0494

tdf#45904 Move Java XCellAddressable test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2017-07-13 08:45:06 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b4c14a0803c0ba0af98b888af7ad8793ea4f754

tdf#45904 Remove/disable obsolete _XSheetAnnotation Java tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2017-07-13 08:48:48 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46ba298934d1765365018349f26f8a732cefba63

tdf#45904 Remove/disable obsolete _XSheetAnnotations Java tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2017-08-06 22:46:59 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44077dc6104e5eab40414889e7be776767709984

tdf#45904 Move Java _XSpreadsheets tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2017-08-06 22:49:28 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9a5a55e0284638deb87c69699ab37a456908900

tdf#45904 Remove/disable obsolete _XGoalSeek Java test

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2017-08-08 05:24:16 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0bd57d62d0f15eced0e99097d9f46a86f177e9a1

tdf#45904 Move Java _XViewSplitable tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2017-08-08 05:26:37 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27cbca2c8dccbbb299621b49e5ffd836188202f0

tdf#45904 Move Java _XUsedAreaCursor tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2017-08-18 15:55:17 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4cbf53a78a41f7881c5c8c62ad0753e8c416f42

tdf#45904 Remove/disable obsolete _XDataPilotFieldGrouping Java tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2017-08-18 15:55:25 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0bb33bd5d6a9f968ab5e4eadc4692754cff7073

tdf#45904 Remove/disable obsolete _XDataPilotDescriptor Java tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2017-08-18 15:55:32 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ab13df17936537a801d0d94c1479c5a8e38cce3

tdf#45904 Remove/disable obsolete _XDataPilotTable2 Java tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2017-08-18 15:57:09 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c22883f6018858bd3198059f696fa3dff264c24d

tdf#45904 Remove/disable obsolete _XDatabaseRange Java tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2017-08-18 17:49:34 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70027414b3ae0c460b0d398fccde092750af47fd

tdf#45904 Move Java _XViewFreezable tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2017-08-21 04:31:18 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=557ad5279a29aa89101286dd76fcc669ac4548b9

tdf#45904 Remove/disable obsolete _XNamedRange tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2017-08-21 04:31:26 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=76da9aea1c956a4febfd530a5a53e820c1440734

tdf#45904 Remove/disable obsolete _XPrintAreas Java tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2017-08-23 21:37:19 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aeb525c0f97727bc9add5bf9923adb69c2989aa0

tdf#45904 Move Java _XAreaLink tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2017-08-23 21:39:22 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcbabad4e760a9fda8bbb5069e5dc45ab390b78d

tdf#45904 Remove/disable obsolete _XDataPilotTable Java tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2017-08-23 21:41:14 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=494b7089b741c2944f72e2e4e9ea68aa500eb2d1

tdf#45904 Remove/disable obsolete _XSheetOutline Java tests

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2017-08-23 21:41:25 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40fdfea0ae994569fb0919c974fc2356dd4bb5c4

tdf#45904 Remove/disable obsolete _XSpreadsheetDocument Java test

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2017-08-23 21:43:13 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4818ee60172b2c7d5d04e57499e345e1cfd7b430

tdf#45904 Move Java _XUniqueCellFormatRangesSupplier test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2017-08-27 07:51:28 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90b5555e3ac951c6387f1fc9110119655b23b832

tdf#45904 Move _CellAreaLink Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2017-08-27 07:51:36 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c298f79083cb7e09dd389a353b7bb25e6f5f00b2

tdf#45904: Move _DatabaseRange Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 57 Commit Notification 2017-08-27 07:53:40 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=829b73b1e9cb4ed11feeff428220a39f3b666214

tdf#45904 Move _DataPilotItem Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 58 Commit Notification 2017-10-08 19:06:28 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4867bbdd99e3d5262621fa761d852d849b7365ab

tdf#45904: Move _XSubTotalField Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 59 Commit Notification 2017-10-08 23:17:14 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3c6264d1e8a599ddfb23f6dc9a9dd2e42885c19

tdf#45904: Move _XAreaLinks Java to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 60 Commit Notification 2017-10-29 21:09:23 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a060947e8c1538cedae5dee6b2a4e7a15d434d66

tdf#45904: Move _XSubTotalDescriptor Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2017-10-29 21:09:32 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80003831041fcd718d2dddc9b6409ff50b48facf

tdf#45904 Move _XSubTotalCalculatable Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2017-10-29 21:10:53 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=410515366c466c1f8b0a81d47f8263d278af3a18

tdf#45904 Move Java _XSpreadsheet tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2017-10-29 21:11:02 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d56be38352031695951558bf1dffd0a48c84eaca

tdf#45904: Move Java _XSheetPageBreak tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 64 Commit Notification 2017-10-29 22:44:49 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0b7cd137aac7529b328c813b011166a78074cb4

tdf#45904: Move Java _XSheetOperation tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 65 Commit Notification 2017-10-29 22:46:11 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4200896e36f259a60b3d3288e13ff08d2fda861c

tdf#45904: Move Java _XSheetLinkable tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2017-10-29 22:46:20 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba93d6aeb73cba64f037a0bd88d96fedb90f3f2f

tdf#45904: Move Java _XSheetFilterDescriptor tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2017-10-29 22:46:27 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bbfec269bda9906eae66b207987d53bbea969eec

tdf#45904: Move Java _XSheetFilterable test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2017-11-03 02:20:56 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2416d69ad4fa26b65d5b05a8575ac96af6b2c9a9

tdf#45904 Move Java _XSheetCondition tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 69 Commit Notification 2017-11-03 03:09:20 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6bddeb4de19685c1ce1a3c1f9bd32cffb6b14bc6

tdf#45904 Move Java _XSheetConditionalEntry tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 70 Commit Notification 2017-11-03 03:10:44 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44e9640748791f602edb22cbc499200283466e1e

tdf#45904 Move Java _XSheetConditionalEntries test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 71 Commit Notification 2017-11-03 03:10:50 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bda85f9563b03bb36c7d72dc1178661b3bf23df0

tdf#45904 Move Java _XSheetCellRanges tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 72 Commit Notification 2017-11-03 07:58:05 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3965b1ce4428a97a8050a7bc53d60b642062502

tdf#45904 Move Java _XSheetCellRange tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 73 Michael Meeks 2017-11-03 09:40:04 UTC
Hi Jens - fantastic to see you (and others) working on this bug =) really encouraging - good work.
Comment 74 Commit Notification 2017-11-03 18:09:43 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f29841acb201b118bbf5815163fb50d83929e9f

tdf#45904 Move Java _XSheetCellRangeContainer test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 75 Commit Notification 2017-11-09 08:33:44 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1c97e9ff63cb6f120e618b3202260e0f8aefa0e

tdf#45904 Move Java _XSheetFilterableEx tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 76 Commit Notification 2017-11-11 23:34:01 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e2b748e0a4ab7a33dd9ebde1d7f37776dff60c3b

tdf#45904 Move _XScenarios Java test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 77 Commit Notification 2017-11-13 10:50:13 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc73a209c18defc5fc9bb5bc8369a553bd361826

tdf#45904 Move _XLabelRanges Java test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 78 Commit Notification 2017-11-13 18:44:45 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c52e61fdc48971387254d5c135e613fa42f9df8

tdf#45904 Move _XLabelRange Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 79 Commit Notification 2017-11-15 07:38:18 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1dde2e441451ba6e7d760b1e1544440113993c24

tdf#45904 Move _XSheetAnnotationsSupplier Java test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 80 Commit Notification 2017-11-15 17:48:07 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ccd22820d6b57393b59fe0f70b29dce71eade48

tdf#45904 Move _XScenariosSupplier Java test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 81 Commit Notification 2017-11-18 02:57:50 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d24213d55df33c7bb5f10d511dcfc82b745db38

tdf#45904 Move _XSpreadsheetView Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 82 Commit Notification 2017-11-23 07:42:09 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39c5ade7bbb444eb204015955276748a5b381ad9

tdf#45904 Move _XSheetAuditing Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 83 Commit Notification 2017-11-23 08:52:40 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8681f24d786a5498844e29a3029cf9e60e74ca3

tdf#45904 Move _XScenarioEnhanced Java test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 84 Commit Notification 2017-11-24 17:59:44 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=befef6ff30f4eb6d3c61c1542839661d7f823dc4

tdf#45904 Move _XSheetAnnotationAnchor Java test to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 85 Commit Notification 2017-11-27 02:41:23 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d609053adb2f078fa7aa3ccdf3758f2f01e478f

tdf#45904 Move _XHeaderFooterContent Java tests to C++

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 86 Commit Notification 2017-12-01 18:18:27 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=350eec67a5989365560e38e9270990dcd0a019e8

tdf#45904 Move _XMultipleOperation Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 87 Commit Notification 2017-12-05 06:55:18 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=958d8d316dbda970dc31d5b060f8d317db0516ff

tdf#45904 Move _XRecentFunctions Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 88 Commit Notification 2017-12-05 06:55:26 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eff70347190a6642fd62a9e0b20e4366c39fbc7a

tdf#45904 Move _XFunctionDescriptions Java test to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 89 Commit Notification 2017-12-07 05:50:02 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7e5c7da98d40852d18bd7683e40c9679836ba49

tdf#45904 Move _XDataPilotTablesSupplier Java test to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 90 Commit Notification 2017-12-08 04:19:56 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87d636a14be35468ecef7b6f95c6754d24bb6e94

tdf#45904 Move _XDataPilotTables Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 91 Commit Notification 2017-12-08 05:31:25 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7345bef0f354673e2fd3127b8fc707eae4c936ed

tdf#45904 Move _XDataPilotField Java test to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 92 Commit Notification 2017-12-08 18:32:10 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13ca879fba12c53f2856186f5cd8509efe625774

tdf#45904 Move _XDatabaseRanges Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 93 Commit Notification 2017-12-12 01:33:59 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68f7d89cecc74e1df649e0691676178db544f913

tdf#45904 Move _XConsolidationDescriptor Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 94 Commit Notification 2017-12-15 00:57:34 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=acc24edf21b99822b6e6d8119eba3ab843458401

tdf#45904 Move _XConsolidatable Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 95 Commit Notification 2017-12-16 00:19:49 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96f8861a29ebf650dedcbee71b8360133c0ceabb

tdf#45904 Move _XCellFormatRangesSupplier Java test to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 96 Commit Notification 2017-12-16 00:45:06 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b92af3c7b4f8ad91891c2159b35070fe4a1bf2db

tdf#45904 Move _XCellRangeAddressable Java test to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 97 Commit Notification 2018-01-03 02:51:20 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23a1c5429c67986a945baab6dae553e58d2d72d9

tdf#45904 Move _Scenario Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 98 Commit Notification 2018-01-03 07:26:50 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=056575f7ceff003348783f7611f84a68463fa8c8

tdf#45904 Move _TableValidation Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 99 Commit Notification 2018-01-04 05:40:29 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5de151f0fd7b590ae13560086b46ea84e4d9cf9c

tdf#45904 Move _TableAutoFormat Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 100 Commit Notification 2018-01-05 01:41:45 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b673cbeeeb0cedb6836e1946e6e6c12bfd68add4

tdf#45904 Move _DatabaseImportDescriptor Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 101 Commit Notification 2018-01-06 19:32:17 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e21c087fdc49975d4ee5423b001b132d3a171a1

tdf#45904 Move _DocumentSettings Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 102 Commit Notification 2018-01-09 02:57:20 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c29828daa32f3dee503e4db2b5b55d3d12f1fd39

tdf#45904 Move _SubTotalDescriptor Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 103 Commit Notification 2018-01-09 05:23:20 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95307f2ca73480176634e5cc46d96a19b735e87b

tdf#45904 Move _SpreadsheetViewSettings Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 104 Commit Notification 2018-01-16 18:33:32 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e31851e72520ce08e5cd2bf1f3aaa9f100a3eff

tdf#45904 Move _GlobalSheetSettings Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 105 Commit Notification 2018-01-25 17:19:14 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35f6b6f6b9693e098b8407c3c35e74087d59ed8e

tdf#45904 Move _SheetCell Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 106 Commit Notification 2018-02-02 17:20:46 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22f6e25987744da57644be95f59b45c1ff51a5d2

tdf#45904 Move _SheetCellRange Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 107 Commit Notification 2018-02-02 17:22:12 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a8856dad808e0ae8b6f4efc49edcee0b0678a37

tdf#45904 Move _SheetCellRanges Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 108 Commit Notification 2018-02-27 17:19:21 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a0acced8988a54d8aaf0328d2696dae21727c6a

tdf#45904: Move _SheetFilterDescriptor Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 109 Commit Notification 2018-03-04 17:59:58 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b7e0ff7b78f2e745712c551e5efe7457987f136

tdf#45904: Move _Shape Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 110 Commit Notification 2018-03-09 17:31:38 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8563d46a03567df0780216173b10156e158b64e

tdf#45904 Move _SheetLink Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 111 Commit Notification 2018-03-18 22:33:20 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d97120c6f35e4c14a71df63b91dcbf67d9f310cc

tdf#45904 Move _Spreadsheet Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 112 Commit Notification 2018-03-22 06:44:05 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd911a32505331174787403e6260202e29ea82b8

tdf#45904 Rename test object for GlobalSheetSettings

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 113 Commit Notification 2018-03-22 15:56:30 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b910203239f29d886c698377fa40185998adbae3

tdf#45904 Move _SpreadsheetDocumentSettings Java test to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 114 Commit Notification 2018-03-27 01:14:41 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=655b9054bc265de377c3dc411e2ef40cdfd16dce

tdf#45904 Move _XDDELink Java test to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 115 Commit Notification 2018-03-28 01:29:23 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3fc835b79957b4ace99c1dc9526eda7549020951

tdf#45904 Move _XCalculatable Java test to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 116 Commit Notification 2018-03-31 22:18:13 UTC
Abhyudaya Sharma committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4bf7cbc082a428dbef65f0d92cb0cdbda7af16e

tdf#45904 Move _CaptionShape Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 117 Commit Notification 2018-04-01 22:27:55 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34568738bbaf1e82dbb53fdf516f4d57416bb5b0

tdf#45904 Move _XActivationBroadcaster Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 118 Commit Notification 2018-04-02 16:55:24 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=387896a05189c60570e031191c3f5959e7737bcb

tdf#45904 Move _XArrayFormulaRange Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 119 Commit Notification 2018-04-03 05:12:16 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7fc11be3083b61a70e7a55e0436032771e37f20

tdf#45904 Move _XCellRangeFormula Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 120 Commit Notification 2018-04-06 15:33:13 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7dcda19e4a5580dd526eeab07feba12f4212e4f1

tdf#45904 Move _XCellRangeMovement Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 121 Commit Notification 2018-04-08 11:39:37 UTC
kadertarlan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6d2d6db28eec4ab311c4223cf5be508feb2e057

tdf#45904 move java based api tests to c++ (AccessibleRelationSet)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 122 Commit Notification 2018-04-14 22:59:00 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8c74a0b4ca6f3a3619f423b6548c80c52392ae0

tdf#45904 Move _FunctionDescription Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 123 Commit Notification 2018-04-17 15:46:50 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73a7c7ddbc52ed3fe512d4c5206e90810f14b50c

tdf#45904 Move _SheetSortDescriptor Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 124 Commit Notification 2018-04-18 15:53:38 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6bf05f004b19b1cc2045556b8dd48ddb2ec3c359

tdf#45904 Move _XScenario Java tests to C++

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 125 Commit Notification 2018-06-12 16:39:17 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=939fc7dc50a038edb252a8da941ef4e1c018f2b0

tdf#45904 Move _XCellRangeData Java test to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 126 Commit Notification 2018-06-13 15:54:43 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=600987b415e537362125b4445ab7132535e6e1e1

tdf#45904 Move remaining _XCellRangeReferrer Java tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 127 Commit Notification 2018-06-14 16:27:37 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cceef188206358fdefaa9582230253b844b54216

tdf#45904 Move _XFormulaQuery Java tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 128 Commit Notification 2018-06-29 04:16:33 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81260b12666853bb9c21da487657e169cac6d4d9

tdf#45904 Move _XDocumentAuditing Java test to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 129 Commit Notification 2018-07-08 08:05:27 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8164399df0df976784ddc1a76b46939c53ae51ee

tdf#45904 Move _XSheetCellCursor Java tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 130 Rahul Gurung 2018-07-31 16:37:40 UTC
I want to work on this bug, and want to know which java files are still available to be converted into cpp, thanks.
Comment 131 Commit Notification 2018-08-30 05:38:55 UTC
Rahul Gurung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e1df712d6e247f4dc9391c0a006b3da2df40403

tdf#45904 Move _XCellCursor Java tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 132 Commit Notification 2018-09-04 22:48:50 UTC
Rahul Gurung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6914ad12af3c9f51fa33d733b3355694e0254cdc

tdf#45904 Move _XCell Java tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 133 Commit Notification 2018-09-06 05:43:43 UTC
Rahul Gurung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53291ffee8e2a2186afbd2412881a18dded5a697

tdf#45904 Move _XColumnRowRange Java tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 134 Commit Notification 2018-09-09 23:54:05 UTC
Rahul Gurung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e12e517473dcdfbfd04dc5192c841aff011f609

tdf#45904 Move _XChild Java tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 135 Commit Notification 2018-09-10 00:03:58 UTC
Rahul Gurung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efe119aaa50e9f532b3fac1ef153469c80f24b80

tdf#45904 Move _XMergeable Java Tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 136 Commit Notification 2018-09-22 13:38:39 UTC
Rahul Gurung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b56ad4cbe0aa67b92211cf31d70eca0b35c62666

tdf#45904 Move _XIndent Java Tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 137 Commit Notification 2018-10-16 18:01:31 UTC
Rahul Gurung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=189d8ade3ca69c4eb313bdfc25182dc81b5d06e8

tdf#45904 Move _XTableChartsSupplier Java Tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 138 Commit Notification 2018-11-02 05:31:17 UTC
Rahul Gurung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9329d18235d21a00dbc724ba3251e95fbb675588%5E%21

tdf#45904 Move _XEnumerationAccess Java Tests to C++

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 139 Commit Notification 2018-11-10 00:29:14 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bf4fc97131147d25b18d088023262c977f0b2787%5E%21

tdf#45904: Remove/disable obsolete _XNamed tests

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.